.sidebar_container {
  width: 100%;
  height: 100%;
  background: #fff;
}

.sidebar_container .top_container {
  display: flex;
  width: 100%;
  height: 79px;
  overflow: hidden;
  justify-content: left;
  align-items: center;
  padding: 0 21px;
  gap: 12px;
  transition: .3s;
}

.sidebar_container .top_container .menu_app_logo {
  width: 40px;
  height: 40px;
  object-fit: cover;
  transition: .3s;
}

.sidebar_container .top_container .menu_app_title {
  font-size: 24px;
  font-weight: 600;
  line-height: 24px;
  color: #324054;
  transition: .3s;
}

.sidebar_container .center_container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  height: calc(100% - 169px);
  padding: 0 21px;
  transition: .3s;
}

.sidebar_container .center_container .nav_container_top {
  overflow: auto;
}

.sidebar_container .bottom_container {
  display: flex;
  justify-content: left;
  align-items: center;
  gap: 8px;
  width: 100%;
  height: 90px;
  padding: 0 21px;
  overflow: hidden;
  transition: .3s;
}

.sidebar_container .bottom_container .menu_user_photo {
  width: 40px;
  height: 40px;
  object-fit: cover;
  border-radius: 50%;
}

.sidebar_container .bottom_container .menu_user_info_container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: 4px;
  overflow: hidden;
  transition: .3s;
  transition-delay: .2s;
}

.sidebar_container .bottom_container .menu_user_info_container .user_fio {
  font-size: 12px;
  font-weight: 400;
  line-height: 16px;
  color: #324054;
  white-space: nowrap;
}

.sidebar_container .bottom_container .menu_user_info_container .user_mail {
  font-size: 12px;
  font-weight: 400;
  line-height: 14px;
  color: #71839B;
  white-space: nowrap;
}

.menu_toggle_button {
  position: absolute;
  right: 12px;
  bottom: 32px;
  color: #324054;
  transition: .3s;
}

.sidebar_container .sidebar_nav,
.sidebar_container .sidebar_sub_nav {
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.sidebar_container .sidebar_nav li {
  list-style: none;
  overflow: hidden;
  transition: .3s;
}

.sidebar_container .sidebar_nav a:hover,
.sidebar_container .sidebar_nav li.active>a {
  background: #EFF6FF;
  color: #2D68FE;
}

.sidebar_container .sidebar_nav a:hover .nav-item-icon,
.sidebar_container .sidebar_nav li.active .nav-item-icon {
  filter: hue-rotate(15deg) contrast(6);
}

.sidebar_container .sidebar_nav a {
  display: flex;
  gap: 16px;
  position: relative;
  height: 44px;
  color: #324054;
  text-decoration: none;
  align-items: center;
  border-radius: 4px;
  padding-left: 12px;
  overflow: hidden;
  transition: .3s;
}

.sidebar_container .nav-item-icon {
  display: flex;
  width: 20px;
  min-width: 20px;
}

.sidebar_container .nav-item-name {
  font-size: 16px;
  font-weight: 500;
  line-height: 20px;
  overflow: hidden;
  min-width: 200px;
}

.sidebar_container .nav-item-badge {
  position: absolute;
  right: 5px;
  pointer-events: none;
  min-width: 20px;
  min-height: 20px;
  padding: 0 2px;
  border-radius: 50%;
  background: rgb(255 71 46);
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  font-size: 12px;
  font-weight: 400;
  transition: .5s;
  transition-delay: .5s;
  display: none;
}

.sidebar_container .sidebar_nav li.active .sidebar_sub_nav {
  display: flex;
}

.sidebar_container .sidebar_sub_nav {
  padding: 16px 0;
  background: rgba(0,0,0,0.02);
  display: none;
}

.maintenance-content-container.menu_hide #leftPanel {
  width: 71px !important;
}

.maintenance-content-container.menu_hide #panelBody {
  width: calc(100% - 71px) !important;
}

.maintenance-content-container.menu_hide .top_container,
.maintenance-content-container.menu_hide .center_container,
.maintenance-content-container.menu_hide .bottom_container {
  padding: 0 15px;
}

.maintenance-content-container.menu_hide .bottom_container {
  height: 120px;
  align-items: start;
}

.maintenance-content-container.menu_hide .center_container {
  height: calc(100% - 199px);
}

.maintenance-content-container.menu_hide .menu_toggle_button {
  transform: rotate(180deg);
  right: 23px;
}

.maintenance-content-container.menu_hide .menu_user_info_container {
  opacity: 0;
  transition-delay: 0s;
}

.maintenance-content-container.menu_hide .menu_app_title {
  transform: translateX(30px) scale(0.8);
  opacity: 0;
}

.maintenance-content-container.menu_hide .sidebar_container .nav-item-name {
  transform: translateX(30px) scale(0.8);
  opacity: 0;
  transition: .3s;
}

.maintenance-content-container.menu_hide .sidebar_container .sidebar_nav a {
  padding-left: 10px;
}

.maintenance-content-container.menu_hide .sidebar_container .nav_container_bottom {
  padding-bottom: 20px;
}

.maintenance-content-container.menu_hide .sidebar_container .nav-item-badge {
  top: 22px;
  right: 1px;
  background: rgba(255, 71, 46, 0.7);
  transition-delay: 1s;
}

.sidebar_container .sidebar_nav li.is-over {
  overflow: revert;
  z-index: 200;
}

.sidebar_container li.is-over>.sidebar_sub_nav  {
  display: flex !important;
  position: absolute;
  left: 290px;
  z-index: 201;
  background: #fff;
  min-width: 280px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
  padding: 20px 10px;
  transform: translateY(-45px);
}

.sidebar_container li.is-over>.sidebar_sub_nav:before {
  content: '';
  position: absolute;
  left: -30px;
  right: -30px;
  top: -20px;
  bottom: -30px;
}

.maintenance-content-container.menu_hide .sidebar_container li>.sidebar_sub_nav {
  display: none;
}

.maintenance-content-container.menu_hide .sidebar_container li.is-over>.sidebar_sub_nav {
  left: 70px;
}

.maintenance-content-container.menu_hide .sidebar_container li.is-over>.sidebar_sub_nav .nav-item-name {
  transform: translateX(0) scale(1);
  opacity: 1;
}
